people/political_donations/political_donations
Failed

Last Run triggered by:
dirty-task-init
Last Run started at:
2024-05-23 18:48:52.249452
Last Completion:
2024-05-23 18:49:02.836666
Last Success:
None

flow
Traceback (most recent call last):
  File "/usr/local/lib/python3.9/site-packages/requests/models.py", line 971, in json
    return complexjson.loads(self.text, **kwargs)
  File "/usr/local/lib/python3.9/json/__init__.py", line 346, in loads
    return _default_decoder.decode(s)
  File "/usr/local/lib/python3.9/json/decoder.py", line 337, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/local/lib/python3.9/json/decoder.py", line 355, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/local/lib/python3.9/site-packages/datapackage/helpers.py", line 59, in retrieve_descriptor
    the_descriptor = req.json()
  File "/usr/local/lib/python3.9/site-packages/requests/models.py", line 975, in json
    raise RequestsJSONDecodeError(e.msg, e.doc, e.pos)
requests.exceptions.JSONDecodeError: Expecting value: line 1 column 1 (char 0)
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/usr/local/lib/python3.9/site-packages/dataflows/processors/load.py", line 121, in process_datapackage
    return self.safe_process_datapackage(dp)
  File "/usr/local/lib/python3.9/site-packages/dataflows/processors/load.py", line 159, in safe_process_datapackage
    self.load_dp = Package(self.load_source)
  File "/usr/local/lib/python3.9/site-packages/datapackage/package.py", line 102, in __init__
    descriptor = helpers.retrieve_descriptor(descriptor)
  File "/usr/local/lib/python3.9/site-packages/datapackage/helpers.py", line 62, in retrieve_descriptor
    six.raise_from(exceptions.DataPackageException(message), error)
  File "<string>", line 3, in raise_from
datapackage.exceptions.DataPackageException: Unable to load JSON at "https://next.obudget.org/datapackages/donations/transactions/datapackage.json"
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/usr/local/lib/python3.9/site-packages/dataflows/base/datastream_processor.py", line 79, in _process
    self.datapackage = self.process_datapackage(self.datapackage)
  File "/usr/local/lib/python3.9/site-packages/dataflows/processors/load.py", line 123, in process_datapackage
    raise SourceLoadError('Failed to load source {!r} and options {!r}: {}'
dataflows.base.exceptions.SourceLoadError: Failed to load source 'https://next.obudget.org/datapackages/donations/transactions/datapackage.json' and options {}: Unable to load JSON at "https://next.obudget.org/datapackages/donations/transactions/datapackage.json"
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/usr/local/lib/python3.9/site-packages/datapackage_pipelines/specs/../lib/flow.py", line 15, in <module>
    spew_flow(flow, ctx)
  File "/usr/local/lib/python3.9/site-packages/datapackage_pipelines/utilities/flow_utils.py", line 46, in spew_flow
    datastream = flow.datastream()
  File "/usr/local/lib/python3.9/site-packages/dataflows/base/flow.py", line 18, in datastream
    return self._chain(ds)._process()
  File "/usr/local/lib/python3.9/site-packages/dataflows/base/datastream_processor.py", line 75, in _process
    datastream = self.source._process()
  File "/usr/local/lib/python3.9/site-packages/dataflows/base/datastream_processor.py", line 75, in _process
    datastream = self.source._process()
  File "/usr/local/lib/python3.9/site-packages/dataflows/base/datastream_processor.py", line 86, in _process
    self.raise_exception(exception)
  File "/usr/local/lib/python3.9/site-packages/dataflows/base/datastream_processor.py", line 96, in raise_exception
    raise error from cause
dataflows.base.exceptions.ProcessorError: Errored in processor load in position #1: Failed to load source 'https://next.obudget.org/datapackages/donations/transactions/datapackage.json' and options {}: Unable to load JSON at "https://next.obudget.org/datapackages/donations/transactions/datapackage.json"

Pipeline ID: people/political_donations/political_donations

people/political_donations/political_donations
Failed

Last Run triggered by:
dirty-task-init
Last Run started at:
2024-05-23 18:48:52.249452
Last Completion:
2024-05-23 18:49:02.836666
Last Success:
None

flow
Traceback (most recent call last):
  File "/usr/local/lib/python3.9/site-packages/requests/models.py", line 971, in json
    return complexjson.loads(self.text, **kwargs)
  File "/usr/local/lib/python3.9/json/__init__.py", line 346, in loads
    return _default_decoder.decode(s)
  File "/usr/local/lib/python3.9/json/decoder.py", line 337, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/local/lib/python3.9/json/decoder.py", line 355, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/local/lib/python3.9/site-packages/datapackage/helpers.py", line 59, in retrieve_descriptor
    the_descriptor = req.json()
  File "/usr/local/lib/python3.9/site-packages/requests/models.py", line 975, in json
    raise RequestsJSONDecodeError(e.msg, e.doc, e.pos)
requests.exceptions.JSONDecodeError: Expecting value: line 1 column 1 (char 0)
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/usr/local/lib/python3.9/site-packages/dataflows/processors/load.py", line 121, in process_datapackage
    return self.safe_process_datapackage(dp)
  File "/usr/local/lib/python3.9/site-packages/dataflows/processors/load.py", line 159, in safe_process_datapackage
    self.load_dp = Package(self.load_source)
  File "/usr/local/lib/python3.9/site-packages/datapackage/package.py", line 102, in __init__
    descriptor = helpers.retrieve_descriptor(descriptor)
  File "/usr/local/lib/python3.9/site-packages/datapackage/helpers.py", line 62, in retrieve_descriptor
    six.raise_from(exceptions.DataPackageException(message), error)
  File "<string>", line 3, in raise_from
datapackage.exceptions.DataPackageException: Unable to load JSON at "https://next.obudget.org/datapackages/donations/transactions/datapackage.json"
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/usr/local/lib/python3.9/site-packages/dataflows/base/datastream_processor.py", line 79, in _process
    self.datapackage = self.process_datapackage(self.datapackage)
  File "/usr/local/lib/python3.9/site-packages/dataflows/processors/load.py", line 123, in process_datapackage
    raise SourceLoadError('Failed to load source {!r} and options {!r}: {}'
dataflows.base.exceptions.SourceLoadError: Failed to load source 'https://next.obudget.org/datapackages/donations/transactions/datapackage.json' and options {}: Unable to load JSON at "https://next.obudget.org/datapackages/donations/transactions/datapackage.json"
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/usr/local/lib/python3.9/site-packages/datapackage_pipelines/specs/../lib/flow.py", line 15, in <module>
    spew_flow(flow, ctx)
  File "/usr/local/lib/python3.9/site-packages/datapackage_pipelines/utilities/flow_utils.py", line 46, in spew_flow
    datastream = flow.datastream()
  File "/usr/local/lib/python3.9/site-packages/dataflows/base/flow.py", line 18, in datastream
    return self._chain(ds)._process()
  File "/usr/local/lib/python3.9/site-packages/dataflows/base/datastream_processor.py", line 75, in _process
    datastream = self.source._process()
  File "/usr/local/lib/python3.9/site-packages/dataflows/base/datastream_processor.py", line 75, in _process
    datastream = self.source._process()
  File "/usr/local/lib/python3.9/site-packages/dataflows/base/datastream_processor.py", line 86, in _process
    self.raise_exception(exception)
  File "/usr/local/lib/python3.9/site-packages/dataflows/base/datastream_processor.py", line 96, in raise_exception
    raise error from cause
dataflows.base.exceptions.ProcessorError: Errored in processor load in position #1: Failed to load source 'https://next.obudget.org/datapackages/donations/transactions/datapackage.json' and options {}: Unable to load JSON at "https://next.obudget.org/datapackages/donations/transactions/datapackage.json"

Pipeline ID: people/political_donations/political_donations